<template>
  <div :class="[
        'custom-input-first'
    ]">
    <label v-if="label" :for="id">{{ label }}</label>
    <div :class="[
            'input-wrapper'
        ]">

      <input :type="type" :id="id" :value="value" :disabled="disabled" @input="handleInput"
             class="custom-placeholder" />
      <span v-if="!value" class="placeholder"> <v-icon v-if="icon" :class="icon" />{{ placeholder }}</span>
    </div>
  </div>
</template>

<script>
export default {
  name: 'CustomInput',
  props: {
    label: {
      type: String,
      default: ''
    },
    id: {
      type: String,
      required: true
    },
    type: {
      type: String,
      default: 'text'
    },
    value: {
      type: [String, Number],
      default: ''
    },
    disabled: {
      type: Boolean,
      default: false
    },
    placeholder: {
      type: String,
      default: ''
    },
    icon: {
      type: String,
      default: ''
    }
  },
  methods: {
    handleInput(event) {
      this.$emit('input', event.target.value);
    }
  }
}
</script>

<style scoped>
.custom-input {
  display: flex;
  flex-direction: column;
  margin-bottom: 16px;
}

.custom-input label {
  margin-bottom: 4px;
}

.input-wrapper {
  position: relative;
  display: flex;
  align-items: center;
}

.input-wrapper v-icon {
  position: absolute;
  left: 8px;
  color: #ccc;
}

.input-wrapper input {
  padding: 8px 8px 8px 32px;
  font-size: 16px;
  font-family: inherit;
  outline: none;
}

.custom-placeholder {
  position: relative;
}

.placeholder {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  pointer-events: none;
  font-style: normal;
  font-size: 12px;
  line-height: 17px;
  color: #5A5A5A;

}

.custom-input-first {
  background: #F9F9F9;
  border: 1px solid #DDDDDD;
  border-radius: 9.02857px;
  box-sizing: border-box;
  width: 136px;
  height: 33px;
}
</style>
